std::chrono::year::operator+=,std::chrono::year::operator-=(3)

NAME
std::chrono::year::operator+=,std::chrono::year::operator-= - std::chrono::year::operator+=,std::chrono::year::operator-=

Synopsis
   constexpr std::chrono::year& operator+=( const std::chrono::years& (1) (since C++20)
   y ) noexcept;
   constexpr std::chrono::year& operator-=( const std::chrono::years& (2) (since C++20)
   y ) noexcept;
   Adds or subtracts y.count() years from the year value.
   1) Equivalent to *this = *this + y;
   2) Equivalent to *this = *this - y;

Return value
   A reference to this year after modification.

Notes
   If the result would be outside the range [-32767, 32767], the actual stored value is
   unspecified.

Example
// Run this code
 #include <iostream>
 #include <chrono>
 int main()
 {
     using namespace std::literals::chrono_literals;
     std::cout << std::boolalpha;
     std::chrono::year y {2020};
     y += std::chrono::years(12);
     std::cout << (y == 2032y) << ' ';
     y -= std::chrono::years(33);
     std::cout << (y == 1999y) << '\n';
 }

Output:
 true true

See also
   operator++
   operator++(int) increments or decrements the year
   operator-- (public member function)
   operator--(int)
   operator+ performs arithmetic on years
   operator- (function)
   (C++20)